Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TLI_Stream Class Reference

Defines the member functions for ACE_TLI_Stream abstraction. More...

`#include <TLI_Stream.h>`

Inheritance diagram for ACE_TLI_Stream:

[legend]
Collaboration diagram for ACE_TLI_Stream:

[legend]
List of all members.

## Public Types
typedef ACE_INET_Addr | PEER_ADDR
## Public Methods
| ACE_TLI_Stream (void)
| Default constructor. More...
int | close (void)
| Close down and release resources. More...
int | active_close (void)
| Send a release and then await the release from the other side. More...
int | passive_close (void)
| Acknowledge the release from the other side and then send the release to the other side. More...
int | get_remote_addr (ACE_Addr &) const
| Return address of remotely connected peer. More...
ssize_t | send (const void *buf, size_t n, int flags, const ACE_Time_Value *timeout=0) const
| Send an n byte buffer to the connected socket (uses t_snd(3)). More...
ssize_t | recv (void *buf, size_t n, int *flags, const ACE_Time_Value *timeout=0) const
| Recv an n byte buffer from the connected socket (uses t_rcv(3)). More...
ssize_t | send_n (const void *buf, size_t n, int flags, const ACE_Time_Value *timeout=0, size_t *bytes_transferred=0) const
| Send exactly n bytes to the connected socket (uses t_snd(3)). More...
ssize_t | recv_n (void *buf, size_t n, int *flags, const ACE_Time_Value *timeout=0, size_t *bytes_transferred=0) const
| Recv exactly n bytes from the connected socket (uses t_rcv(3)). More...
ssize_t | send (const void *buf, size_t n, const ACE_Time_Value *timeout=0) const
| Send an n byte buffer to the connected socket (uses write(2)). More...
ssize_t | recv (void *buf, size_t n, const ACE_Time_Value *timeout=0) const
| Recv an n byte buffer from the connected socket (uses read(2)). More...
ssize_t | send_n (const void *buf, size_t n, const ACE_Time_Value *timeout=0, size_t *bytes_transferred=0) const
| Send n bytes, keep trying until n are sent (uses write(2)). More...
ssize_t | recv_n (void *buf, size_t n, const ACE_Time_Value *timeout=0, size_t *bytes_transferred=0) const
| Recv n bytes, keep trying until n are received (uses read (2)). More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Methods
int | get_rwflag (void)
| Get rwflag. More...
void | set_rwflag (int)
| Set rwflag. More...
## Private Attributes
int | rwflag_
| Indicates whether the tirdwr module should be pushed. More...
## Friends
class | ACE_TLI_Acceptor
class | ACE_TLI_Connector

## Detailed Description

Defines the member functions for ACE_TLI_Stream abstraction.

## Member Typedef Documentation

typedef ACE_INET_Addr ACE_TLI_Stream::PEER_ADDR

## Constructor & Destructor Documentation

ACE_TLI_Stream::ACE_TLI_Stream | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

int ACE_TLI_Stream::active_close | ( | void |  | ) |

| Send a release and then await the release from the other side.

int ACE_TLI_Stream::close | ( | void |  | ) |

| Close down and release resources. Reimplemented from ACE_TLI.

void ACE_TLI_Stream::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_TLI.

int ACE_TLI_Stream::get_remote_addr | ( | ACE_Addr & | sa | ) | const

| Return address of remotely connected peer.

ACE_INLINE int ACE_TLI_Stream::get_rwflag | ( | void |  | ) | `[private]`

| Get rwflag.

int ACE_TLI_Stream::passive_close | ( | void |  | ) |

| Acknowledge the release from the other side and then send the release to the other side.

ssize_t ACE_TLI_Stream::recv | ( | void * | buf,
|  | size_t | n,
|  | const ACE_Time_Value * | timeout = 0
| ) | const

| Recv an n byte buffer from the connected socket (uses read(2)).

ssize_t ACE_TLI_Stream::recv | ( | void * | buf,
|  | size_t | n,
|  | int * | flags,
|  | const ACE_Time_Value * | timeout = 0
| ) | const

| Recv an n byte buffer from the connected socket (uses t_rcv(3)).

ssize_t ACE_TLI_Stream::recv_n | ( | void * | buf,
|  | size_t | n,
|  | const ACE_Time_Value * | timeout = 0,
|  | size_t * | bytes_transferred = 0
| ) | const

| Recv n bytes, keep trying until n are received (uses read (2)).

ssize_t ACE_TLI_Stream::recv_n | ( | void * | buf,
|  | size_t | n,
|  | int * | flags,
|  | const ACE_Time_Value * | timeout = 0,
|  | size_t * | bytes_transferred = 0
| ) | const

| Recv exactly n bytes from the connected socket (uses t_rcv(3)).

ssize_t ACE_TLI_Stream::send | ( | const void * | buf,
|  | size_t | n,
|  | const ACE_Time_Value * | timeout = 0
| ) | const

| Send an n byte buffer to the connected socket (uses write(2)).

ssize_t ACE_TLI_Stream::send | ( | const void * | buf,
|  | size_t | n,
|  | int | flags,
|  | const ACE_Time_Value * | timeout = 0
| ) | const

| Send an n byte buffer to the connected socket (uses t_snd(3)).

ssize_t ACE_TLI_Stream::send_n | ( | const void * | buf,
|  | size_t | n,
|  | const ACE_Time_Value * | timeout = 0,
|  | size_t * | bytes_transferred = 0
| ) | const

| Send n bytes, keep trying until n are sent (uses write(2)).

ssize_t ACE_TLI_Stream::send_n | ( | const void * | buf,
|  | size_t | n,
|  | int | flags,
|  | const ACE_Time_Value * | timeout = 0,
|  | size_t * | bytes_transferred = 0
| ) | const

| Send exactly n bytes to the connected socket (uses t_snd(3)).

ACE_INLINE void ACE_TLI_Stream::set_rwflag | ( | int | value | ) | `[private]`

| Set rwflag.

## Friends And Related Function Documentation

friend class ACE_TLI_Acceptor`[friend]`

friend class ACE_TLI_Connector`[friend]`

## Member Data Documentation

ACE_TLI_Stream::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_TLI.

int ACE_TLI_Stream::rwflag_`[private]`

| Indicates whether the tirdwr module should be pushed.

The documentation for this class was generated from the following files:

- TLI_Stream.h
- TLI_Stream.cpp
- TLI_Stream.i